package com.yx.face.boot.config;

import com.yx.face.boot.uitls.MiniOUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Minio文件上传配置文件
 */
@Slf4j
@Configuration
public class MinioConfig {
    @Value("${MINIO_PATH_URL}")
    private String minioUrl;
    @Value("${MINIO_ACCESS_KEY}")
    private String minioName;
    @Value("${MINIO_SECRET_KEY}")
    private String minioPass;
    @Value("${MINIO_OSS_BUCKET}")
    private String bucketName;


    @Bean
    public void initMinio(){
        if(!minioUrl.startsWith("http")){
            minioUrl = "http://" + minioUrl;
        }
        if(!minioUrl.endsWith("/")){
            minioUrl = minioUrl.concat("/");
        }
        MiniOUtils.setMinioUrl(minioUrl);
        MiniOUtils.setMinioName(minioName);
        MiniOUtils.setMinioPass(minioPass);
        MiniOUtils.setBucketName(bucketName);
    }

}
